MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032119Open CASCADE[OCCT] OCCT:Codingpublic2021-02-06 14:032021-02-21 11:43
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032119: Coding Rules - eliminate msvc warning C4800 (implicit cast to bool) after fix for 32115
DescriptionList of warnings was attached to ticket 32115.txt
http://jenkins-test-11.nnov.opencascade.com/view/WEEK-5_WEEK-5/view/OCCT%20compile/ [^]
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Filestxt file icon 32115.txt (5,272 bytes) 2021-02-06 14:03

- Relationships
child of 0032115verifiedbugmaster Data Exchange, STEP reader - Incorrect full path to file is not caught 

-  Notes
(0098743)
git (administrator)
2021-02-06 19:06

Branch CR32119 has been created by dpasukhi.

SHA-1: 63095c1b0d9ae20fe8c0ee6c5d301321fd24663a


Detailed log of new commits:

Author: dpasukhi
Date: Sat Feb 6 18:43:43 2021 +0300

    0032119: Coding Rules - eliminate msvc warning C4800 (implicit cast to bool) after fix for 32115
    
    Fixed incorrect comparison and forcing cast
(0098768)
dpasukhi (developer)
2021-02-08 15:29

Dear bugmaster,
please integrate.
OCCT - CR32119
PRODUCTS - NO

The warning has been fixed. Incorrect compression was rewrite.

All test are Ok, see
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32119-master-dpasukhi/view/COMPARE/ [^]
(0098858)
bugmaster (administrator)
2021-02-13 11:09

Combination -
OCCT branch : IR-2021-02-12
master SHA - fb68dbdbd6810ee27f9398c749c5740b7bea7818
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-12 SHA - 94205f40e685a70c77e547147d90c09e0a21c461
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17805.430000000237 / 17802.420000000013 [+0.02%]
Products
Total CPU difference: 11513.250000000124 / 11523.070000000105 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19375.296875 / 19372.265625 [+0.02%]
Products
Total CPU difference: 12857.265625 / 12882.921875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099039)
git (administrator)
2021-02-21 11:43

Branch CR32119 has been deleted by inv.

SHA-1: 63095c1b0d9ae20fe8c0ee6c5d301321fd24663a

- Related Changesets
occt: master 830616a6
Timestamp: 2021-02-06 15:43:43
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0032119: Coding Rules - eliminate msvc warning C4800 (implicit cast to bool) after fix for 32115

Fixed incorrect comparison and forcing cast
mod - src/StepFile/step.tab.cxx Diff ] File ]
mod - src/StepFile/step.yacc Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-06 14:03 bugmaster New Issue
2021-02-06 14:03 bugmaster Assigned To => kgv
2021-02-06 14:03 bugmaster File Added: 32115.txt
2021-02-06 14:03 bugmaster Status new => assigned
2021-02-06 17:31 kgv Assigned To kgv => dpasukhi
2021-02-06 17:32 kgv Summary Coding - Warnings on compilation after fix for 32115 => Coding Rules - eliminate msvc warning C4800 (implicit cast to bool) after fix for 32115
2021-02-06 17:33 kgv Relationship added child of 0032115
2021-02-06 19:06 git Note Added: 0098743
2021-02-08 15:28 dpasukhi Status assigned => resolved
2021-02-08 15:28 dpasukhi Steps to Reproduce Updated View Revisions
2021-02-08 15:29 dpasukhi Note Added: 0098768
2021-02-08 15:29 dpasukhi Assigned To dpasukhi => bugmaster
2021-02-08 15:29 dpasukhi Status resolved => reviewed
2021-02-13 11:09 bugmaster Note Added: 0098858
2021-02-13 11:09 bugmaster Status reviewed => tested
2021-02-13 11:27 bugmaster Test case number => Not required
2021-02-13 11:29 bugmaster Changeset attached => occt master 830616a6
2021-02-13 11:29 bugmaster Status tested => verified
2021-02-13 11:29 bugmaster Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099039


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker